#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 12. System Utilities

- Prev

  Logrotate-3.19.0

- Next

  ModemManager-1.18.6

- Up
- Home

# MC-4.8.27

## Introduction to MC

MC (Midnight Commander) is a text-mode full-screen file manager and visual shell. It provides a clear, user-friendly, and somewhat protected interface to a Unix system while making many frequent file operations more efficient and preserving the full power of the command prompt.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): http://ftp.midnight-commander.org/mc-4.8.27.tar.xz

- Download (FTP): ftp://ftp.osuosl.org/pub/midnightcommander/mc-4.8.27.tar.xz

- Download MD5 sum: e51cd40a897d9aa01af251d191637ca4

- Download size: 2.4 MB

- Estimated disk space required: 68 MB (add 85 MB for tests)

- Estimated build time: 0.3 SBU (using parallelism=4; add 0.2 SBU for tests)

### MC Dependencies

#### Required

GLib-2.70.4 and PCRE-8.45

#### Recommended

slang-2.3.2

#### Optional

Doxygen-1.9.3, GPM-1.20.7, libssh2-1.10.0, Ruby-3.1.0, Samba-4.15.5, UnZip-6.0, a graphical environment, and Zip-3.0

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/MC

## Installation of MC

Install MC by running the following commands:

    ./configure --prefix=/usr \
                --sysconfdir=/etc \
                --enable-charset &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--sysconfdir=/etc`: This switch places the global configureation directory in `/etc`.

`--enable-charset`: This switch adds support to mcedit for editing files in encodings different from the one implied by the current locale.

## Configuring MC

###

#### Config Files

`~/.config/mc/*`

###

#### Configuration Information

The `~/.config/mc` directory and its contents are created when you start mc for the first time. Then you can edit the main `~/.config/mc/ini` configuration file manually or through the MC shell. Consult the mc(1) man page for details.

## Contents

Installed Programs: mc and the symlinks mcdiff, mcedit and mcview
Installed Libraries: None
Installed Directories: /etc/mc and /usr/{libexec,share}/mc

### Short Descriptions

cons.saver | is used internally by mc for saving and restoring the text behind the panels on Linux text console
mc | is a visual shell
mcdiff | is an internal visual diff tool
mcedit | is an internal file editor
mcview | is an internal file viewer

Last updated on

- Prev

  Logrotate-3.19.0

- Next

  ModemManager-1.18.6

- Up
- Home